Subject: Re: Why is gre0 auto-created, and can we fix it?

From: Ben Greear <[email-masked]>
Date: Sun, 22 Jan 2012 08:48:53 -0800

On 01/21/2012 10:40 AM, David Miller wrote:
> From: Ben Greear<[email-masked]>
> Date: Sat, 21 Jan 2012 09:48:52 -0800
>
>> On 01/21/2012 09:39 AM, Krzysztof Halasa wrote:
>>> Ben Greear<[email-masked]>   writes:
>>>
>>>>>> As far as I can tell, no other interfaces are auto-created
>>>>>> in this manner.
>>>>>
>>>>> ip6tnl0 and sit0 do it too, just grep for alloc_netdev() under
>>>>> net/{ipv4,ipv6}/
>>>>
>>>> So, no changing the behaviour?
>>>
>>> Perhaps making it CONFIGurable would be safe enough, not that I like
>>> CONFIG options for all tiny details (one may argue it's not a tiny
>>> detail).
>>>
>>> Haven't looked at the actual code.
>>
>> Seems like it could be a run-time configurable, maybe module or boot
>> option
>> or sysctl or something.
>
> I would seriously prefer that you not do this.

Just to make sure I understand you:  You dislike any possible method of changing
the behaviour, not just the ones I listed?

If I do post a patch, it will be just for comment should someone
else want to carry the patch privately, and I'll just carry the patch
in my tree.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com